import { ChainId, Token } from '@lifi/types';
import BigNumber from 'bignumber.js';
import { ContractTransaction, PopulatedTransaction, Signer } from 'ethers';
import { RevokeTokenData } from '../types';
export declare const getApproved: (signer: Signer, tokenAddress: string, contractAddress: string) => Promise<BigNumber>;
export declare const setApproval: (signer: Signer, tokenAddress: string, contractAddress: string, amount: string, returnPopulatedTransaction?: boolean) => Promise<ContractTransaction | PopulatedTransaction>;
export declare const getAllowanceViaMulticall: (signer: Signer, chainId: ChainId, tokenData: RevokeTokenData[]) => Promise<{
    token: Token;
    approvalAddress: string;
    approvedAmount: BigNumber;
}[]>;
export declare const groupByChain: (tokenDataList: RevokeTokenData[]) => {
    [chainId: number]: RevokeTokenData[];
};
