import { Signer } from 'ethers';
import { InteractionSettings, InternalExecutionSettings, LifiStep } from '../types';
import { StatusManager } from './StatusManager';
import { StepExecutionManager } from './StepExecutionManager';
export declare class StepExecutor {
    stepExecutionManager: StepExecutionManager;
    statusManager: StatusManager;
    settings: InternalExecutionSettings;
    allowUserInteraction: boolean;
    executionStopped: boolean;
    constructor(statusManager: StatusManager, settings: InternalExecutionSettings);
    setInteraction: (settings?: InteractionSettings) => void;
    checkChain: () => never;
    executeStep: (signer: Signer, step: LifiStep) => Promise<LifiStep>;
}
